Skip to main content
GET
/
v1
/
orgs
/
{orgId}
/
api-keys
List organization API keys
curl --request GET \
  --url https://api.openworklabs.com/v1/orgs/{orgId}/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "apiKeys": [
    {
      "id": "<string>",
      "configId": "<string>",
      "name": "<string>",
      "start": "<string>",
      "prefix": "<string>",
      "enabled": true,
      "rateLimitEnabled": true,
      "rateLimitMax": 0,
      "rateLimitTimeWindow": 0,
      "lastRequest": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "owner": {
        "userId": "<string>",
        "memberId": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com",
        "image": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.

Path Parameters

orgId
string<typeid>
required

Den TypeID with 'org_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^org_.*

Response

Organization API keys

apiKeys
object[]
required